<?xml version="1.0"?>
<?xml-stylesheet type="text/css" href="http://docs.hostway.com/skins/common/feed.css?303"?>
<feed xmlns="http://www.w3.org/2005/Atom" xml:lang="en">
		<id>http://docs.hostway.com/index.php?action=history&amp;feed=atom&amp;title=Initiate-Email-Verification-Action%3APOST</id>
		<title>Initiate-Email-Verification-Action:POST - Revision history</title>
		<link rel="self" type="application/atom+xml" href="http://docs.hostway.com/index.php?action=history&amp;feed=atom&amp;title=Initiate-Email-Verification-Action%3APOST"/>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Initiate-Email-Verification-Action:POST&amp;action=history"/>
		<updated>2026-05-22T14:08:27Z</updated>
		<subtitle>Revision history for this page on the wiki</subtitle>
		<generator>MediaWiki 1.18.0</generator>

	<entry>
		<id>http://docs.hostway.com/index.php?title=Initiate-Email-Verification-Action:POST&amp;diff=1326&amp;oldid=prev</id>
		<title>Mike.robski: 1 revision: Release 95</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Initiate-Email-Verification-Action:POST&amp;diff=1326&amp;oldid=prev"/>
				<updated>2014-07-02T05:58:01Z</updated>
		
		<summary type="html">&lt;p&gt;1 revision: Release 95&lt;/p&gt;
&lt;table class='diff diff-contentalign-left'&gt;
		&lt;tr valign='top'&gt;
		&lt;td colspan='1' style=&quot;background-color: white; color:black;&quot;&gt;← Older revision&lt;/td&gt;
		&lt;td colspan='1' style=&quot;background-color: white; color:black;&quot;&gt;Revision as of 05:58, 2 July 2014&lt;/td&gt;
		&lt;/tr&gt;&lt;/table&gt;</summary>
		<author><name>Mike.robski</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php?title=Initiate-Email-Verification-Action:POST&amp;diff=1325&amp;oldid=prev</id>
		<title>Jerry.dimitrov: /* Request Body */</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Initiate-Email-Verification-Action:POST&amp;diff=1325&amp;oldid=prev"/>
				<updated>2014-06-12T11:26:13Z</updated>
		
		<summary type="html">&lt;p&gt;&lt;span class=&quot;autocomment&quot;&gt;Request Body&lt;/span&gt;&lt;/p&gt;
&lt;p&gt;&lt;b&gt;New page&lt;/b&gt;&lt;/p&gt;&lt;div&gt;= POST /accounts/{account_number}/contacts/action =&lt;br /&gt;
Apply an action on contacts email e.g. '''initiate email verification'''&lt;br /&gt;
__TOC__&lt;br /&gt;
&lt;br /&gt;
== Request ==&lt;br /&gt;
&amp;lt;code&amp;gt;POST /accounts/{account_number}/contacts/action&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Request Parameters ====&lt;br /&gt;
; account_number - ''string''&lt;br /&gt;
: The user account that owning the email.&lt;br /&gt;
&lt;br /&gt;
=== Request Headers ===&lt;br /&gt;
&lt;br /&gt;
{{Authorization}}&lt;br /&gt;
&lt;br /&gt;
=== Request Body ===&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{ &lt;br /&gt;
  &amp;quot;action&amp;quot;: &amp;quot;verifyEmail&amp;quot;, &lt;br /&gt;
  &amp;quot;actionData&amp;quot;: &amp;quot;{contactinfo_type}&amp;quot; &lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
; action - ''string''&lt;br /&gt;
: The action that should be performed. Allowed values are:&lt;br /&gt;
:: '''verifyEmail''' - email verification.&lt;br /&gt;
&lt;br /&gt;
; actionData - ''string''&lt;br /&gt;
: Data to be send with the action. This must be a contact information type.&lt;br /&gt;
:: ''contactinfo_type'' - There are 4 types of contact information that can be used with the request: '''regular''', '''billing''', '''administrator''' or '''technical'''.&lt;br /&gt;
&lt;br /&gt;
== Response ==&lt;br /&gt;
&lt;br /&gt;
=== Expected Response Codes  ===&lt;br /&gt;
; 202 Accepted&lt;br /&gt;
: Success&lt;br /&gt;
&lt;br /&gt;
; 400 Bad Request&lt;br /&gt;
: The supplied action is invalid.&lt;br /&gt;
&lt;br /&gt;
; 401 Unauthorized&lt;br /&gt;
: The supplied credentials are invalid.&lt;br /&gt;
&lt;br /&gt;
; 403 Forbidden&lt;br /&gt;
: The authorized user does not have permissions to access the resource. The only user(s) who has access to the contacts email must be a sales agent, the account owner, or the account technical admin. &lt;br /&gt;
&lt;br /&gt;
; 404 Not Found&lt;br /&gt;
: The contacts email for the provided contact info type does not exist.&lt;br /&gt;
&lt;br /&gt;
; 409 Conflict&lt;br /&gt;
: The contacts email is already verified.&lt;br /&gt;
&lt;br /&gt;
== Examples ==&lt;br /&gt;
&lt;br /&gt;
=== Initiate email verification request ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
POST /accounts/acct515393/contacts/action&lt;br /&gt;
Content-Type:application/json; Charset=UTF-8&lt;br /&gt;
Authorization: Basic {Base64 string}&lt;br /&gt;
&lt;br /&gt;
{ &lt;br /&gt;
  &amp;quot;action&amp;quot;: &amp;quot;verifyEmail&amp;quot;,&lt;br /&gt;
  &amp;quot;actionData&amp;quot;: &amp;quot;regular&amp;quot;&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
202 Accepted&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
== See also ==&lt;br /&gt;
* [[Account|Account Management API]]&lt;br /&gt;
&lt;br /&gt;
{{disqus}}&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Account Management API]]&lt;/div&gt;</summary>
		<author><name>Jerry.dimitrov</name></author>	</entry>

	</feed>